Skip to main content
`Ctrl`+`K`

# minimize(method=’trust-krylov’)

scipy.optimize.minimize(fun, x0, args=(), method=None, jac=None, hess=None, hessp=None, bounds=None, constraints=(), tol=None, callback=None, options=None)

  Minimization of a scalar function of one or more variables using a nearly exact trust-region algorithm that only requires matrix vector products with the hessian matrix.

  Added in version 1.0.0.

  See also

  For documentation for the rest of the parameters, see `scipy.optimize.minimize`

  Options:
    ——-
    inexact bool, optional

      Accuracy to solve subproblems. If True requires less nonlinear iterations, but more vector products.